> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get all comments of an entry

GET https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/entries/{entry_id}/comments

Returns all comments on an entry (unpaginated). Filter by `status` query parameter; any user with read access can read comments.

Reference: https://contentful.com/developers/docs/references/content-management-api/entry-comments/get-all-comments-of-an-entry

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — ID of the space in form of a string
- `environment_id` (string, required) — ID of the environment in form of a string
- `entry_id` (string, required) — ID of the entry in form of a string

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{
  "items": [],
  "limit": 100,
  "skip": 0,
  "sys": {
    "type": "Array"
  }
}
```

**SDK Code**

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

const comments = await client.comment.getMany({
 spaceId: '<space_id>',
 entryId: '<entry_id>',
 environmentId: '<environment_id>',
 bodyFormat: 'plain-text',
 query: {
  status: 'active',
 }
});
```

```android Android
No snippet for this SDK.
```

```java Java
No snippet for this SDK.
```

```kotlin Kotlin
No snippet for this SDK.
```

```swift Swift
No snippet for this SDK.
```

```js-legacy JavaScript (legacy)
No snippet for this SDK.
```

```php PHP
No snippet for this SDK.
```

```ruby Ruby
No snippet for this SDK.
```

```python Python
No snippet for this SDK.
```

```.net .NET
No snippet for this SDK.
```